
Redmine - Defect #31311

admin/info page: text cut off in pre tag on mobile

2019-05-06 15:46 - Heddi Nabbisen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.4.11   

Resolution: Fixed Affected version: 4.0.3

Description

On mobile, information text in pre tag is cut off in the middle in admin/info page.

Associated revisions

Revision 18140 - 2019-05-08 23:59 - Go MAEDA

admin/info page: text cut off in pre tag on mobile (#31311).

Patch by Go MAEDA.

Revision 18141 - 2019-05-09 00:26 - Go MAEDA

Merged r18140 from trunk to 4.0-stable (#31311).

Revision 18142 - 2019-05-09 00:27 - Go MAEDA

Merged r18140 from trunk to 3.4-stable (#31311).

History

#1 - 2019-05-06 15:56 - Heddi Nabbisen

- File admin_info_box_pre_overflow_x-git.diff added

- File 02a-after-classic-theme.png added

- File 02b-after-alternate-theme.png added

Heddi Nabbisen wrote:

On mobile, information text in pre tag is cut off in the middle in admin/info page.

 The attachment diff updates the style to show horizontal scroll bar.

It's just adding a line to application.css:

.box > pre { overflow-x: auto; }

 Side effect investigation was done with the command: grep -r "\.box[^a-zA-Z0-9_-]" .

Results

Classic Theme:
02a-after-classic-theme.png 

Alternate Theme:

 

2025-05-01 2/5



02b-after-alternate-theme.png 

#2 - 2019-05-06 15:58 - Heddi Nabbisen

- File 01-brefore-classic-theme.png added

Before:
01-brefore-classic-theme.png 

2025-05-01 4/5



#3 - 2019-05-07 01:41 - Go MAEDA

- File 31311-add-scrollbar.patch added

- File env-info-scrollbar@2x.png added

- Category changed from Administration to UI - Responsive

- Assignee set to Go MAEDA

- Target version set to 3.4.11

The attached patch should be fine.

 

#4 - 2019-05-08 23:59 - Go MAEDA

- Status changed from New to Resolved

- Resolution set to Fixed

Committed the patch. Thank you for reporting this issue.

#5 - 2019-05-09 00:27 - Go MAEDA

- Status changed from Resolved to Closed

Files

01-brefore-classic-theme.png 446 KB 2019-05-06 Heddi Nabbisen

admin_info_box_pre_overflow_x-git.diff 717 Bytes 2019-05-06 Heddi Nabbisen

02a-after-classic-theme.png 281 KB 2019-05-06 Heddi Nabbisen

02b-after-alternate-theme.png 271 KB 2019-05-06 Heddi Nabbisen

01-brefore-classic-theme.png 301 KB 2019-05-06 Heddi Nabbisen

31311-add-scrollbar.patch 332 Bytes 2019-05-06 Go MAEDA

env-info-scrollbar@2x.png 28.9 KB 2019-05-06 Go MAEDA
